# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.473   -> 1.474  
#	drivers/usb/serial/digi_acceleport.c	1.23    -> 1.24   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/26	greg@kroah.com	1.474
# USB: fix compiler warning in drivers/usb/serial/digi_acceleport.c
# --------------------------------------------
#
diff -Nru a/drivers/usb/serial/digi_acceleport.c b/drivers/usb/serial/digi_acceleport.c
--- a/drivers/usb/serial/digi_acceleport.c	Fri Jul 26 13:48:49 2002
+++ b/drivers/usb/serial/digi_acceleport.c	Fri Jul 26 13:48:49 2002
@@ -1263,7 +1263,7 @@
 	unsigned long flags = 0;
 
 
-dbg( "digi_write: TOP: port=%d, count=%d, from_user=%d, in_interrupt=%d",
+dbg( "digi_write: TOP: port=%d, count=%d, from_user=%d, in_interrupt=%ld",
 priv->dp_port_num, count, from_user, in_interrupt() );
 
 	/* copy user data (which can sleep) before getting spin lock */
@@ -1744,7 +1744,7 @@
 	int i;
 
 
-dbg( "digi_shutdown: TOP, in_interrupt()=%d", in_interrupt() );
+dbg( "digi_shutdown: TOP, in_interrupt()=%ld", in_interrupt() );
 
 	/* stop reads and writes on all ports */
 	for( i=0; i<serial->type->num_ports+1; i++ ) {
